package com.ruoyi.system.domain.dto;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnServerTemplateDto extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long id;
    private Long serverId;
    private String serverIp;
    private String domain;
    @Excel(name = "状态")
    private Integer status;
    private Long templateId;
    private String templateName;
    private Integer category;
    private String country;
    private String language;
    
    public Long getId() {
        return this.id;
    }
    
    public Long getServerId() {
        return this.serverId;
    }
    
    public String getServerIp() {
        return this.serverIp;
    }
    
    public String getDomain() {
        return this.domain;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Long getTemplateId() {
        return this.templateId;
    }
    
    public String getTemplateName() {
        return this.templateName;
    }
    
    public Integer getCategory() {
        return this.category;
    }
    
    public String getCountry() {
        return this.country;
    }
    
    public String getLanguage() {
        return this.language;
    }
    
    public void setId(final Long id) {
        this.id = id;
    }
    
    public void setServerId(final Long serverId) {
        this.serverId = serverId;
    }
    
    public void setServerIp(final String serverIp) {
        this.serverIp = serverIp;
    }
    
    public void setDomain(final String domain) {
        this.domain = domain;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setTemplateId(final Long templateId) {
        this.templateId = templateId;
    }
    
    public void setTemplateName(final String templateName) {
        this.templateName = templateName;
    }
    
    public void setCategory(final Integer category) {
        this.category = category;
    }
    
    public void setCountry(final String country) {
        this.country = country;
    }
    
    public void setLanguage(final String language) {
        this.language = language;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnServerTemplateDto)) {
            return false;
        }
        final SnServerTemplateDto other = (SnServerTemplateDto)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$id = this.getId();
        final Object other$id = other.getId();
        Label_0065: {
            if (this$id == null) {
                if (other$id == null) {
                    break Label_0065;
                }
            }
            else if (this$id.equals(other$id)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$serverId = this.getServerId();
        final Object other$serverId = other.getServerId();
        Label_0102: {
            if (this$serverId == null) {
                if (other$serverId == null) {
                    break Label_0102;
                }
            }
            else if (this$serverId.equals(other$serverId)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0139: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0139;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$templateId = this.getTemplateId();
        final Object other$templateId = other.getTemplateId();
        Label_0176: {
            if (this$templateId == null) {
                if (other$templateId == null) {
                    break Label_0176;
                }
            }
            else if (this$templateId.equals(other$templateId)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$category = this.getCategory();
        final Object other$category = other.getCategory();
        Label_0213: {
            if (this$category == null) {
                if (other$category == null) {
                    break Label_0213;
                }
            }
            else if (this$category.equals(other$category)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$serverIp = this.getServerIp();
        final Object other$serverIp = other.getServerIp();
        Label_0250: {
            if (this$serverIp == null) {
                if (other$serverIp == null) {
                    break Label_0250;
                }
            }
            else if (this$serverIp.equals(other$serverIp)) {
                break Label_0250;
            }
            return false;
        }
        final Object this$domain = this.getDomain();
        final Object other$domain = other.getDomain();
        Label_0287: {
            if (this$domain == null) {
                if (other$domain == null) {
                    break Label_0287;
                }
            }
            else if (this$domain.equals(other$domain)) {
                break Label_0287;
            }
            return false;
        }
        final Object this$templateName = this.getTemplateName();
        final Object other$templateName = other.getTemplateName();
        Label_0324: {
            if (this$templateName == null) {
                if (other$templateName == null) {
                    break Label_0324;
                }
            }
            else if (this$templateName.equals(other$templateName)) {
                break Label_0324;
            }
            return false;
        }
        final Object this$country = this.getCountry();
        final Object other$country = other.getCountry();
        Label_0361: {
            if (this$country == null) {
                if (other$country == null) {
                    break Label_0361;
                }
            }
            else if (this$country.equals(other$country)) {
                break Label_0361;
            }
            return false;
        }
        final Object this$language = this.getLanguage();
        final Object other$language = other.getLanguage();
        if (this$language == null) {
            if (other$language == null) {
                return true;
            }
        }
        else if (this$language.equals(other$language)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnServerTemplateDto;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $id = this.getId();
        result = result * 59 + (($id == null) ? 43 : $id.hashCode());
        final Object $serverId = this.getServerId();
        result = result * 59 + (($serverId == null) ? 43 : $serverId.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $templateId = this.getTemplateId();
        result = result * 59 + (($templateId == null) ? 43 : $templateId.hashCode());
        final Object $category = this.getCategory();
        result = result * 59 + (($category == null) ? 43 : $category.hashCode());
        final Object $serverIp = this.getServerIp();
        result = result * 59 + (($serverIp == null) ? 43 : $serverIp.hashCode());
        final Object $domain = this.getDomain();
        result = result * 59 + (($domain == null) ? 43 : $domain.hashCode());
        final Object $templateName = this.getTemplateName();
        result = result * 59 + (($templateName == null) ? 43 : $templateName.hashCode());
        final Object $country = this.getCountry();
        result = result * 59 + (($country == null) ? 43 : $country.hashCode());
        final Object $language = this.getLanguage();
        result = result * 59 + (($language == null) ? 43 : $language.hashCode());
        return result;
    }
    
    public String toString() {
        return "SnServerTemplateDto(id=" + this.getId() + ", serverId=" + this.getServerId() + ", serverIp=" + this.getServerIp() + ", domain=" + this.getDomain() + ", status=" + this.getStatus() + ", templateId=" + this.getTemplateId() + ", templateName=" + this.getTemplateName() + ", category=" + this.getCategory() + ", country=" + this.getCountry() + ", language=" + this.getLanguage() + ")";
    }
}
